You are here

Grex

Software Available on Grex

Title Version Usage Notes
N
64-bit Linux CentOS CentOS release 6.8
ABINIT 7.8.2

module load abinit/7.8.2

ABINIT 7.6.4

module load abinit/7.6.4

ABINIT 7.10.4

module load abinit/7.10.4

ABINIT 7.10.5

module load abinit/7.10.5 ;

ABINIT 7.4.3

module load abinit/7.4.3

ABINIT 8.0.8

module load abinit/8.0.8

ABySS 1.9.0

module load abyss/1.9.0

Adaptive Poisson-Boltzmann Solver (APBS) 1.4.2.1

module load apbs/1.4.2.1

 

ADMIXTURE 1.23

module load admixture/1.23

ALLPATHS-LG Revision 39099

/allpathslg/30900

AlmaBTE 0.1

module load almabte/0.1-gcc52

Amber 12 module load amber/12
Amber 14

module load amber/14

Amber 15

module load amber/15

ASE 3.7.1

module load ase/3.7.1 ; note that this ASE module also enables GPAW 0.9.1 and Hotbit ver. Aug. 2013.

ASE 3.8.1

module load ase/3.8.1-test ; note that this ASE module also enables GPAW 0.10.0

AutoDock 4.2.6

module load autodock/4.2.6

AutoDock_vina 1_1_2

module load autodock/vina/1.1.2 ; adds to the PATH the executables  vina and vina_split

bash (default) 4.1.2
BigDFT 1.7.6

module load bigdft/1.7.6

BioPerl 1.6.924

module load perl/5.22.1

BLAS In MKL
BLAS OpenBLAS 0.2.8

module load gcc/openblas/0.2.8-32 or module load gcc/openblas/0.2.8-64

BLAST ncbi-blast-2.3.0

module load blast/2.3.0

BLAT 3.6

module load blat/kentU-v337  ; the Standalone BLAT v. 36x2 proper comes with many kentUtils with the same module.

Boost 1.58.0

module load boost/1.58.0

Boost 1.65.1 (Intel)

module load boost/1.65.1-intel15

Boost 1.60.0 (gcc52)

module load boost/1.60.0-gcc52

Boost 1.65.1 (gcc52)

module load boost/1.65.1-gcc52

Boost 1.60.0 (Intel)

module load boost/1.60.0-intel15

Boost 1.62.0 (gcc52)

module load boost/1.62.0-gcc52

Boost 1.41.0

systems version

Boost 1.62.0 (Intel)

module load boost/1.62.0-intel15

Boost 1.54.0

module load boost/1.54.0 ; note that it will change depend on loaded GCC version

Bowtie2 2.3.3.1

module load bowtie2/2.3.3.1

Bowtie2 2.2.8

module load bowtie2/2.2.8

Bridger 2014-12-01

module load bridger/r2014.12.01

C - GNU GCC, Intel, Portland Group (PGI) compilers GNU 4.7.2

module load gcc/4.7.2-experimental

C - GNU GCC, Intel, Portland Group (PGI) compilers GNU 4.8.1

module load gcc/4.8.1-experimental

C - GNU GCC, Intel, Portland Group (PGI) compilers LLVM 3.3

module load gcc/llvm-3.3-experimental  ; note that DragonEgg and Polly would be different depending on GCC version loaded

C - GNU GCC, Intel, Portland Group (PGI) compilers Intel 12.1.5.339

(icc - module load intel/12.1.5.339 , loaded by default)

C - GNU GCC, Intel, Portland Group (PGI) compilers GNU 4.4.7

(gcc, system compiler)

C++ - GNU GCC, Intel, Portland Group (PGI) compilers Intel 12.1.5.339

(icpc; module load  intel/12.1.5.339, loaded by default)

C++ - GNU GCC, Intel, Portland Group (PGI) compilers GNU 4.4.7

(g++ - system version)

C++ - GNU GCC, Intel, Portland Group (PGI) compilers GNU 5.2.0

module load gcc/5.2.0-experimental

C++ - GNU GCC, Intel, Portland Group (PGI) compilers LLVM 3.3

module load gcc/llvm-3.3-experimental  ; note that DragonEgg and Polly would be different depending on GCC version loaded

C++ - GNU GCC, Intel, Portland Group (PGI) compilers GNU 4.7.2

module load gcc/4.7.2-experimental

C++ - GNU GCC, Intel, Portland Group (PGI) compilers GNU 4.8.1

module load gcc/4.8.1-experimental

Climate Data Operators (CDO) 1.7.2

module load cdo/1.7.2-intel15

Climate Data Operators (CDO) 1.6.0

module load cdo/1.6.0 ; note that this would load GNU version of dependencies (HDF5, NetCDF etc.)

CMake 2.8.11

module load cmake/2.8.11

CMake 3.4.1

module load cmake/3.4.1

CMake 3.0.2

module load cmake/3.0.2

CMake 3.6.2

module load cmake/3.6.2

Compilers - C, C++ and Fortran GCC 4.7.2

Initialize your environment to use the GCC 4.7.2 compilers with

module load gcc/4.7.2-experimental

Compilers - C, C++ and Fortran GCC 4.4.7

The GCC 4.4.7 compilers are on the default command PATH.

Compilers - C, C++ and Fortran Intel 12.1.5

Initialize your environment to use the Intel 12.1.5 compilers with

module load intel/12.1.5.339

Compilers - C, C++ and Fortran Intel 14.0.2

The Intel 14.0.2 compilers are on the default command PATH, but, you can also explicitly initialize your environment to use them with

module load intel/14.0.2.144

Compilers - C, C++ and Fortran Intel 15.0.2

Initialize your environment to use the Intel 15.0.2 compilers with

module load intel/15.0.2

Compilers - C, C++ and Fortran Intel 15.0.4

Initialize your environment to use the Intel 15.0.4 compilers with

module load intel/15.0.5.223

Compilers - C, C++ and Fortran GCC 5.2.0

Initialize your environment to use the GCC 5.2.0 compilers with

module load gcc/5.2.0-experimental

Compilers - C, C++ and Fortran GCC 4.9.0

Initialize your environment to use the GCC 4.9.0 compilers with

module load gcc/4.9.0-experimental

Compilers - C, C++ and Fortran GCC 4.8.1

Initialize your environment to use the GCC 4.8.1 compilers with

module load gcc/4.8.1-experimental

CP2K 2.4.0

module load cp2k/2.4.0 ; this version includes libXC but not libint (no HF exchange)

CP2K 3.0

module load cp2k/3.0

csh Link to tcsh
Dalton 2016-Intel14

To use Dalton: module load dalton/2016.1-intel14

and to use LSDalton: module load dalton/2016.1-LS-intel14

Dalton 2016-Intel15

To use Dalton: module load dalton/2016.1-intel15

and to use LSDalton: module load dalton/2016.1-LS-intel15

ddd 3.3.12

ddd

DIAMOND - sequence aligner 0.8.14

module load diamond/0.8.14

Eigen 2.0.17

/global/software/eigen-2.0.17/include is the directory with Eigen2 include files.

Eigen 3.2.2

/global/software/eigen-3.2.2  is the directory where "signature_of_eigen3_matrix_library" and the  Eigen include subdirectory reside.

Eye of GNOME 2.16.0.1
FETK 1.5

module load fetk/1.5 ; this version was built with default Intel 14 compilers.

Fortran - GNU GCC, Intel, Portland Group (PGI) and Absoft compilers GNU 4.6.3

module load gcc/4.6.3-experimental

Fortran - GNU GCC, Intel, Portland Group (PGI) and Absoft compilers GNU 4.7.2

module load gcc/4.7.2-experimental

Fortran - GNU GCC, Intel, Portland Group (PGI) and Absoft compilers Intel 12.1.5.339

module load  intel/12.1.5.339, loaded by default

Fortran - GNU GCC, Intel, Portland Group (PGI) and Absoft compilers GNU 4.8.1

module load gcc/4.8.1-experimental ; note that GCC 4.8.1 is less stable than 4.7 and should be used with caution.

Fortran - GNU GCC, Intel, Portland Group (PGI) and Absoft compilers GNU 4.4.7

(gfortran, system version)

GAMESS 1May2013

module load gamess/May2013

GAMESS 18Aug2016

module load gamess/Aug2016 ; rungms sctipt will be in the PATH.

GAMESS 5Dec2014

module load gamess/Dec2014 ; rungms sctipt will be in the PATH.

GATE 7.2

module load gate/7.2

GATE 8.0

module load gate/8.0

Gaussian G09 D.01

module load gaussian/g09.d01

Gaussian G09 C.01

module load gaussian/g09.c01

Gaussian G09 E.01

module load gaussian/g09.e01 ;

Gaussian G09 B.01

module load gaussian/g09.b01

Gaussian G16 B.01

module load gaussian/g16.b01

Gaussian G16 A.03

module load gaussian/g16.a03 ;

GDAL 2.1.0

module load gdal/2.1.0 

GDAL 1.10.1

module load gdal/1.10.1

GDIS CVS 2013-11-27

module load gdis/cvs-Nov27 ; gdis2 for GUI and gdis1 for command-line interface.

Geant4 10.2

module load geant4/10.2

Geant4 10.1

module load geant4/10.1

Geant4 10.3-p02

The patch 02 (Released on July 2017) was applied. This version supports multi-threading (OpenMP)

module load geant4/10.3-p02

Geant4 10.3

module load geant4/10.3

Geant4 10.0

module load geant4/10.0

Git 1.8.3.1

module load git/1.8.3.1

Git 2.7.1

module load git/2.7.1

GLOST git052016

module load glost/git-052016 ;  glost_launch will be in the PATH then. Provide it with a list of commands to execute (in a file, a line per command).

GLUT Y
GNU Data Language (GDL) 0.9.3

module load gdl/0.9.3 ; note that it would load GCC-versions of NetCDF and HDF5 as dependencies automatically

Gnuplot 4.6.3

module load gnuplot/4.6.3

Gnuplot 5.0.4

module load gnuplot/5.0.4

Go 1.2.1

module load go/go-1.2.1

Go 1.6.2

module load go/go-1.6.2

Go 1.7.6

module load go/go-1.7.6

Go 1.8.3

module load go/go-1.8.3

Go 1.4.3

module load go/go-1.4.3 ; actually does nothing; go command is part of the operating system for this version.

Go 1.5.4

module load go/go-1.5.4

Go 1.3.3

module load go/1.3.3 

GPAW 0.9.1

GPAW is available as a part of the ASE module: module load ase/3.7.1

GPAW 0.10.0

GPAW is available within ASE module: module load ase/3.8.1-test

Grace/Xmgrace 5.1.25

module load grace/5.1.25-intel14

GRIB-API 1.16.0

module load grib-api/1.16.0 ; you might want to specify include files in /global/software/grib-api-1.16.0-gcc4-rh6/include when building against this library.

GRIB-API 1.10.4

module load grib-api/1.10.4

GROMACS 5.1.4

module load gromacs/5.1.4

GROMACS 4.6.1

module load gromacs/4.6.1

GROMACS 5.0.4

module load gromacs/5.0.4 

GSL 1.13
HDF 5 1.8.9 module load hdf5/1.8.9-intel; left for backward compatibility
HDF 5 1.8.11

module load hdf5/1.8.11-intel for Intel compilers; module load hdf5/1.8.11-gcc for GNU 4.4 compilers

HDF 5 1.8.17

module load hdf5/1.8.17-intel14-ompi for Intel 14 compilers; module load hdf5/1.8.17-gcc52-ompi for GNU GCC 5.2 compilers.

HMMER 3.1b2

module load hmmer/3.1b2

ImageMagick 6.5.4.7

systems version

Intel MPI 5.0.3.048

module load intel/impi/5.0.3.048 ;

Intel MPI 4.1.3.048

module load intel/impi/4.1.3.048

JAGS 4.3.0

module load jags/4.3.0-gcc

JAGS 4.0.0

module load jags/4.0.0-gcc

JAGS 4.1.0

module load jags/4.1.0-gcc

JAGS 4.2.0

module load jags/4.2.0-gcc

JAGS 3.4.0

module load jags/3.4.0

Java Oracle JDK 1.7.0 update 45

module load java/jdk7u45

Java Oracle JDK 1.70 update 25

module load java/jdk7u25

Java Oracle JDK 1.80 update 05

module load java/jdk8u5

Java Oracle JDK 1.8.0 update 92

module load java/jdk8u92

Java Oracle JDK 1.8.0 update 66

module load java/jdk8u66

JELLYFISH 1.1.11

module load jellyfish/1.1.11

Julia 0.3.6-pre-69

module load julia/0.3 ; note that the old $HOME/.jula from version 0.2 should be deleted because of the language differences.

Julia 0.2.0-rc3

module load julia/0.2.0-rc3

Kraken 0.10.4

module load kraken/0.10.4

ksh Y (ksh93)
LAMMPS 05Nov16

module load lammps/05nov16 ; the LAMMPS parallel executable is called lmp_grex . The build of LAMMPS on Grex includes most of the packages included in this version, except GPU, KIM, KOKKOS, USER-QUIP, USER-VTK.

LAMMPS 30jul16

module load lammps/30jul16 ; the LAMMPS parallel executable is called lmp_grex . The build of LAMMPS on Grex includes most of the packages included in this version, except GPU, KIM, KOKKOS, USER-QUIP, USER-VTK.

LAMMPS 28Jun14

module load lammps/28jun14  ; the LAMMPS parallel executable is called  lmp_openmpi . The build of LAMMPS on Grex includes most of the modules, except CUDA related ones and few others.

LAMMPS 10Aug15

module load lammps/10aug15 ; lmp_openmpi is the name of the main LAMMPS executable; documentation, tools and examples are under /global/software/lammps/10aug15 . The build of LAMMPS on Grex includes most of the LAMMPS library modules, except CUDA and QUIP. NCDUMP module is included.

LAMMPS 11Aug17

module load lammps/11aug17 ; the LAMMPS parallel executable is called lmp_grex . The builtof LAMMPS on Grex includes most of the packages supported in this version, except GPU, KIM, KOKKOS, USER-QUIP, USER-VTK, MSCG.

LAPACK In MKL
libjpeg 6b
libpng 1.2.10
libtiff 3.8.2
Lua Lua 5.1.4

lua , operating system version

Luscus 0.8.1

load module luscus/0.8.1

MATLAB 2015b

(U of M only) module load uofm/matlab/R2015B

MATLAB R2014a

(U of M only) module load uofm/matlab/R2014A

The corresponding MATLAB Compiler Runtime (MCR) on Grex is located at /global/software/matlab/mcr/v83.

MATLAB R2009a

(U of M only) module load uofm/matlab/R2009A

MATLAB Compiler Runtime (MCR) 8.5

For use with standalone applications compiled with the version of the MATLAB compiler distributed with R2015a of MATLAB.

Installed to /global/software/matlab/mcr/v85.

Please use module load mcr/mcr before running your standalone application to setup the MCR_CACHE_ROOT variable. 

See full instructions for creating standalone applications.

MATLAB Compiler Runtime (MCR) 7.17

For use with standalone applications compiled with the version of the MATLAB compiler distributed with R2012a of MATLAB.

Installed to /global/software/matlab/mcr/v717.

Please use module load mcr/mcr before running your standalone application to setup MCR_CACHE_ROOT variable.

See full instructions for creating standalone applications.

 

MATLAB Compiler Runtime (MCR) 8.1

For use with standalone applications compiled with the version of the MATLAB compiler distributed with R2013a of MATLAB.

Installed to /global/software/matlab/mcr/v81

Please use module load mcr/mcr before running your standalone application to setup the MCR_CACHE_ROOT variable.

See full instructions for creating standalone applications.

MATLAB Compiler Runtime (MCR) 9.0.1

For use with standalone applications compiled with the version of the MATLAB compiler distributed with R2016a of MATLAB.
Installed to /global/software/matlab/mcr/v901
Please use module load mcr/mcr before running your standalone application to setup the MCR_CACHE_ROOT variable.
See full instructions for creating standalone applications.

MATLAB Compiler Runtime (MCR) 8.2

For use with standalone applications compiled with the version of the MATLAB compiler distributed with R2013b of MATLAB.

Installed to /global/software/matlab/mcr/v82.

Please use module load mcr/mcr before running your standalone application to setup MCR_CACHE_ROOT variable.

See full instructions for creating standalone applications.

MATLAB Compiler Runtime (MCR) 9.3

For use with standalone applications compiled with the version of the MATLAB compiler distributed with R2017b of MATLAB.
Installed to /global/software/matlab/mcr/v93

Please use module load mcr/mcr before running your standalone application to setup the MCR_CACHE_ROOT variable.
See full instructions for creating standalone applications.

MATLAB Compiler Runtime (MCR) 8.3

For use with standalone applications compiled with the version of the MATLAB compiler distributed with R2014a of MATLAB.

Installed to /global/software/matlab/mcr/v83.

Please use module load mcr/mcr before running your standalone application to setup MCR_CACHE_ROOT variable. 

See full instructions for creating standalone applications.

MATLAB Compiler Runtime (MCR) 9.2

For use with standalone applications compiled with the version of the MATLAB compiler distributed with R2017a of MATLAB.
Installed to /global/software/matlab/mcr/v92.

Please use module load mcr/mcr before running your standalone application to setup the MCR_CACHE_ROOT variable.
See full instructions for creating standalone applications.

MATLAB Compiler Runtime (MCR) 7.14

For use with standalone applications compiled with the version of the MATLAB compiler distributed with R2010b of MATLAB.

Installed to /usr/local/matlab-mcr/v714.

Please use module load mcr/mcr before running your standalone application to setup MCR_CACHE_ROOT variable.

See full instructions for creating standalone applications.

MATLAB Compiler Runtime (MCR) 7.13

For use with standalone applications compiled with the version of the MATLAB compiler distributed with R2010a of MATLAB.

Installed to /global/software/matlab/mcr/v713.

Please use module load mcr/mcr before running your standalone application to setup MCR_CACHE_ROOT variable.

See full instructions for creating standalone applications.

MATLAB Compiler Runtime (MCR) 9.0

For use with standalone applications compiled with the version of the MATLAB compiler distributed with R2014b of MATLAB.

Installed to /global/software/matlab/mcr/v90
Please use module load mcr/mcr before running your standalone application to setup the MCR_CACHE_ROOT variable.
See full instructions for creating standalone applications.

MATLAB Compiler Runtime (MCR) 8.4

For use with standalone applications compiled with the version of the MATLAB compiler distributed with R2014b of MATLAB.

Installed to /global/software/matlab/mcr/v84.

Please use module load mcr/mcr before running your standalone application to setup the MCR_CACHE_ROOT variable. 

See full instructions for creating standalone applications.

MATLAB Compiler Runtime (MCR) 7.11

For use with standalone applications compiled with the version of the MATLAB compiler distributed with R2009b of MATLAB.

Installed to /global/software/matlab/mcr/v711.

Please use module load mcr/mcr before running your standalone application to setup MCR_CACHE_ROOT variable.

See full instructions for creating standalone applications.

MATLAB Compiler Runtime (MCR) 9.1

For use with standalone applications compiled with the version of the MATLAB compiler distributed with R2014b of MATLAB.

Installed to /global/software/matlab/mcr/v91
Please use module load mcr/mcr before running your standalone application to setup the MCR_CACHE_ROOT variable.
See full instructions for creating standalone applications.

MEEP 1.2

module load meep/1.2 for serial and moule load meep/1.2-mpi for parallel versions

MEEP 1.3

 moule load meep/1.3-mpi for parallel version; meep-mpi will be in the path.

Mercurial 3.9.1

hg is available as part o Python 2.7 enviromnent: module load python/2.7.9-intel

Mesa Y
MetaVelvet SL-1.0

Set up your environment to use MetaVelvet-SL-1.0 that is an extension of Velvet assembler utilizing supervized learning.

module load metavelvet/sL-1.0

MetaVelvet 1.2.02

Set up your environment tu use MetaVelvet-1.2.02

module load metavelvet/1.2.02

MGLTools including AutoDockTools 1.5.6

MGLTools 1.5.6, Auto-Dock 4.2.6 and AutoDoc Vina are available using one module:

module load mgl-tools/1.5.6

Works better using: X2Go

MINC - Toolkit 2

module load minc/v2

MKL 10.3.11

module load intel intel/12.1.5.339  ; MKL is by default in Intel compilers environment.  For use with GCC compilers: module load gcc/mkl/10.3.11

Molden 5.1

module load molden/5.1 ; both "molden" (X11) and "gmolden" (OpenGL version) are available.

Molekel 5.4.0

module load molekel/5.4.0

Mono (C# environment) 4.2.1

Initialize your environment to use Mono 4.2.1 on Grex with

module load mono/4.2.1

MOPAC 2016 build Apr 2017 (17.099L)

To initialize your environment to use MOPAC2016 (April 2017 build 17.099L) use

module load mopac/Apr2017_x64

The executable, mopac, will then be in your command PATH.

NAMD 2.9

module load namd/2.9

nano 1.3.12
NBO 6.0

module load nbo/6.0 ; note that usually you'd need to load a quantum chemistry code module first (Gaussian or ORCA or GAMESS, whichever you'd like to use NBO6 with).

NCAR Graphics and NCL 6.4.0

module load ncl_ncarg/6.4.0

NCAR Graphics and NCL 6.0.0

Set NCARG_ROOT to /global/software/ncl/ncl_ncarg _600

NCAR Graphics and NCL 6.2.1

module load ncl_ncarg/6.2.1

NCAR Graphics and NCL 6.3.0

module load ncl_ncarg/6.3.0

NCO 4.6.1

module load netcdf/nco/4.6.1-intel14-nc433 ; this version is built against NetCDF 4.3.3 and using Intel 14 compilers.

NCO 4.0.8

module load netcdf/4.1.3

NCO 4.3.1

module load netcdf/nco/4.3.1-intel for Intel compilers; module load netcdf/nco/4.3.1-gcc for GNU 4.4 compilers

Ncview 2.1.7

module load ncview/2.1.7

NEdit 5.5
NetCDF 4.3.3

module load netcdf/4.3.3-intel14 ; this version includes NetCDF-Fortran 4.4.3, NetCDF-C++ 4.2  and parallel NetCDF.

NetCDF 4.1.3

module load netcdf/4.1.3-intel ; this is the backward-compatibility version for old software

NetCDF 4.2.1.1

module load netcdf/4.2.1.1-intel for Intel compilers ; module load netcdf/4.2.1.1-gcc for GNU 4.4 compilers.

Netpbm 10.35
NetworkX 1.6

module load python

Node.JS nodejs/0.10.29

module load nodejs/0.10.29

Node.JS 4.4.7

module load nodejs/4.4.7

NWChem 6.5

module load nwchem/6.5 ; note that the module would create $HOME/.nwchemrc for this NWChem version. The $HOME/.nwchemrc from previous versions of the code should be deleted prior to loading the module.

NWChem 6.3p2

module load nwchem/6.3p2 ; this is a more recent build of the version 6.3 .

NWChem 6.6

module load nwchem/6.6

OCaml 3.11.2

Part of base OS, in the PATH. Note that this version does not have OPAM installed, and comes with only components pre-packaged by OS (camlp4, extlib, fileutils, lablgl, labltk).

Octave 3.6.4

module load octave/3.6.4 . This installation includes most of the OctaveForge modules.

Open Babel 2.3.2

Initialize your environment to use Open Babel 2.3.2 on Grex with

module load openbabel/2.3.2

Open MPI 1.8.4

module load intel/ompi/1.8.4 for Intel Compilers; module load gcc/ompi/1.8.4 for GNU compilers. Note that GNU version has Java MPI bindings enabled. Note that due to changes in OpenMPI processes pinning in version 1.8, mpiexec --bind-to none should be used  when running under Torque.

Open MPI 1.6.5

module load intel/ompi/1.6.5 for Intel compilers; module load gcc/ompi/1.6.5 for GNU compilers

OpenBUGS 3.2.3

module load openbugs/3.2.3

OpenFOAM, OpenFOAM+ and OpenFOAM Extend 2.3.0

Installed using Intel Compilers 14.0.2.144 and openmpi 1.8.3. It includes Paraview 4.1.0. To use it, please load the module

module load openfoam/2.3.0

OpenMX 3.7p3

module load openmx/3.7p3

OpenSees 2.3.2.2

The parallel version of OpenSees (OpenSeesMP) was compiled on Grex using Intel and OpenMPI. To use it, please load the module first:

module load opensees/2.3.2.2

ORCA 3.0.3

Initialize your environment with:

module load orca/3.0.3

See the main WestGrid ORCA page for a sample job script.

ORCA 3.0.1

module load orca/3.0.1

ORCA 3.0.2

module load orca/3.0.2

ORCA 4.0.0.2

Installed in /global/software/orca/orca_4_0_0_2_linux_x86-64_shared

See the main WestGrid ORCA page for getting access to ORCA and for sample job script.

module load orca/4.0.0.2

ORCA 4.0.1.2

Installed in /global/software/orca/orca_4_0_1_2_linux_x86-64_shared_openmpi202

See the main WestGrid ORCA page for getting access to ORCA and for sample job script.

module load orca/4.0.1.2

Parallel 20130422

parallel command is in the system PATH, /usr/bin/parallel

PDB2PQR 1.8
Perl 5.22.1

 module load perl/5.22.1 ;  This is the recommended Perl on Grex, that is being actively maintained.

Perl 5.10.1

perl, operating system version

Perl 5.14.4

module load perl/5.14.1 ; Note that this is an older Perl version for backward compatibility.

PETSc 3.4.2

module load petsc/3.4.2-i32

PETSc 3.5.2

module load petsc/3.5.2-real

PETSc 3.5.2-cmplx

This version uses complex variables, i.e., it was compiled with scalar-type=complex.

module load petsc/3.5.2-complex

PETSc 3.4.4

module load petsc/3.4.4-i32 . Has same additional modules as the version 3.4.2 on Grex.

Phonopy 1.11.2.80

The packages phono3py (1.11.5.15) and phonopy (1.11.2.80) are accessible through python.
module load python/2.7.9-intel

PLplot 5.9.9

module load plplot/5.9.9

Priroda 2016

module load priroda/2016

Priroda 2013

module load priroda/2013; the basis sets are in /global/software/priroda/bin . Note that the users have to apply to be included in wg-prrda group to get access.

Prodigal 2.6.2

module load prodigal/2.6.2

Prodigal 2.6.3

module load prodigal/2.6.3

PROJ.4 4.8.0

module load proj4/4.8.0

PROJ.4 git30062016

module load  proj4/git30062016 ; you might want to specify headers in /global/software/proj4-git30062016-gcc4/include when buildig agains the library.

PSI PSI4 git May 2016

module load  psi4/git-intel15 ; this version was  retrieved from PSI4 github repository in May 2016.

PSI PSI3 3.4.0

module load psi3/3.4.0

PSI PSI4 beta 4

module load psi4/4beta4

PSI PSI4 beta 5

module load psi4/4beta5

Python 2.7.9

module load python/2.7.9-intel ; note that this Python instance was built with Intel 14 compilers. This is the default Python module version on Grex.

Python Anaconda 2.7.5

module load python/2.7.5.anaconda ; note that there are many packages such as recent Numpy 1.8.1, Scipy 0.14.0. Theano 0.6.0, preinstalled, use "conda list" to see them all.

Python 3.5.1

module load python/3.5.1-intel  ; note that this Python is built with Intel 14 compilers.

Quantum ESPRESSO 5.2.1

module load espresso/5.2.1 ; pseudopotentials, examples and tests will be under /global/software/espresso-5.2.1-intel14-ompi165/pseudo, examples and tests , correspondingly

Quantum ESPRESSO 5.0.3

Before running ESPRESSO binaries, initialize your environment with:

module load espresso/5.0.3

Quantum ESPRESSO 6.1

module load espresso/6.1

Quantum ESPRESSO 5.1

module load espresso/5.1

Quantum ESPRESSO 5.3.0

module load espresso/5.3.0

 

Quantum ESPRESSO 4.3.2

Initialize the environment with module load espresso/4.3.2.

Quantum ESPRESSO 5.1.2

module load espresso/5.1.2 ; pseudopotentials, examples and tests will be under /global/software/espresso-5.1.2-intel14-ompi165/pseudo, examples and tests

Quantum ESPRESSO 5.2.0

module load espresso/5.2.0 ; pseudopotentials, examples and tests will be under /global/software/espresso-5.2.0-intel14-ompi165/pseudo, examples and tests

Quantum ESPRESSO 5.4.0

module load espresso/5.4.0

Quantum ESPRESSO 6.0

module load espresso/6.0

Quantum ESPRESSO 6.2

module load espresso/6.2 ; note that this version might miss some of the packages (GIPAW, YAMBO)

QWalk 02.08.2013

module load qwalk/02082013 will give a development version retrieved 02.08.2013

R 3.2.2

module load r/3.2.2

R 3.3.1

Note that there are three builds of R 3.3.1 on Grex; depending on a compiler used: systems GCC 4.4 : module load r/3.3.1-gcc44 ; newer GCC 5.2: module load r/3.3.1-gcc52 ; and Intel15 compilers: module load r/3.3.1-intel15 . The later is probably the fastest.

R 3.0.1

module load r/3.0.1

R 3.1.0

module load r/3.1.0

R 3.1.1

module load r/3.1.1

Ruby 2.3.0

module load ruby/2.3.0

Ruby 1.8.7
SAMtools and HTSlib utilities 1.1

module load samtools/1.1 ;

If you need to link against BAM and HTS libraries, add "-L/global/software/samtools-1.1/lib -lbam -lhts" to your linker flags.

SAMtools and HTSlib utilities 1.4

module load samtools/1.4

This built includes bcftools 1.4 and htslib 1.4

SAMtools and HTSlib utilities 1.3.1

module load samtools/1.3.1 ; 

If you need to link against BAM and HTS libraries, add "-L/global/software/samtools-1.3.1/lib -lbam -lhts" to your linker flags.

ScaLAPACK MKL

ScaLAPACK is available through the Math Kernel Library (MKL).

scikit-learn Installed under Python 2.7

module load python/2.7.9-intel ; the current SciKit-Learn version is 0.17.1

sh Link to bash
ShengBTE - solving Boltzmann Transport Equation for phonons 1.1.0

module load shengbte/1.1.0

ShengBTE - solving Boltzmann Transport Equation for phonons 1.1.1

module load shengbte/1.1.1

ShengBTE - solving Boltzmann Transport Equation for phonons 1.0.2

Set up your environment to use ShengBTE with

module load shengbte/1.0.2

SIESTA 4.1b build 625

module load siesta/4.1b

SIESTA 4.0b build 485

module load siesta/4.0b

SIESTA 3.2

module load siesta/3.2

SIESTA trunk-454

module load siesta/trunk

SIESTA 3.2 patch level 4

module load siesta/3.2p4

SIESTA 3.2 patch level 5

module load siesta/3.2p5

Singularity 2.3.1

singularity command is in system's PATH.

Sire 14_4

Sire on Grex includes Numpy, Scipy, and Billiard packages. To access Sire on Grex, use the following commad:

module load sire/14.4

STAR 2.5.2a

module load star/2.5.2a ; note that if you want to use Perl scripts from STAR-Fusion, you'd need also module load  perl/5.22.1 for the Perl dependencies.

Subversion 1.6.11
Szip 2.1

/global/software/util-rh6/szip-2.1

tcsh 6.17
VASP 5.4.1

module load vasp/5.4.1 ;This version has three executables, vasp_std (Z-averaged), vasp_ncl (non-collinear) and vasp_gam (Gamma-point only).  /global/software/vasp5.4.1/pseudo contains a set of VASP pseudopotentials including the GW family and VDW functionals kernel; /global/software/vasp5.4.1/test has an example job script and a test Hg input.

VASP 5.3.5

module load vasp/5.3.5 ; there are three executables, vasp (Z-averaged), vasp-full (non-collinear) and vasp-gamma (Gamma-point only). Al the binaries now include tbdyn and Wannier90 modules. /global/software/vasp5.3.5/pseudo contains new set of VASP pseudopotentials including the GW family; /global/software/vasp5.3.5/test has an example job script and test Hg input.

VASP 5.3.3

Initialize your environment with

module load vasp/5.3.3

VASP 5.4.1p2016

module load vasp/5.4.1p2016  ; This version 5.4.1 of VASP is patched with recent patches up to Aug. 2016; it also includes VASPSolv and VTST modules.

Velvet 1.2.10

Set up your environment to use Velvet with

module load velvet/1.2.10

Vim 7.2.411
VMD 1.9.3

module load vmd/1.9.3

VMD 1.9

module load vmd Also may need: module load mesa

WebMO 16.0

Point your browser to https://grexapps.westgrid.ca/webmo/cgi-bin/login.cgi and log in.

WRF WRF 3.6.1

module load wrf/3.6.1

Includes wrf-chem

WRF 3.8.1

module load wrf/3.8.1

module load wrf/3.8.1-da

module load wrf/3.8.1-plus

module load wrf/3.8.1-wps

XCrySDen 1.5.53

module load xcrysden/1.5.53

XCrySDen 1.5.60

module load xcrysden/1.5.60 ; it is most efficient to use x2go client to connect to Grex. vncworkspace will also work.

YAeHMOP 3.0.3

module load yeahmop

zlib 1.2.3
zsh 4.3.10

systems version